using System.Drawing;
using FastReport.Utils;

namespace FastReport.Dialog
{
    partial class MonthCalendarControl
    {
        #region Protected Methods
        /// <inheritdoc/>
        protected override bool ShouldSerializeBackColor()
        {
            return BackColor != SystemColors.Window;
        }

        /// <inheritdoc/>
        protected override bool ShouldSerializeForeColor()
        {
            return ForeColor != SystemColors.WindowText;
        }

        /// <inheritdoc/>
        protected bool ShouldSerializeCalendarDimensions()
        {
            return CalendarDimensions.Width != 1 || CalendarDimensions.Height != 1;
        }


        /// <inheritdoc/>
        protected override SelectionPoint[] GetSelectionPoints()
        {
            return new SelectionPoint[] { new SelectionPoint(AbsLeft - 2, AbsTop - 2, SizingPoint.None) };
        }
        #endregion

    }
}
